<?php
/**
 * @package    HikaShop - Register auto-login
 * @version    1.0.0
 * @author     Obsidev S.A.R.L.
 * @copyright  (C) 2011-2013 OBSIDEV. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php
/**
 *
 */
class plgHikashopRegisterautologin extends JPlugin {

	/**
	 *
	 */
	public function __construct(&$subject, $config) {
		parent::__construct($subject, $config);
	}

	/**
	 *
	 *
	public function onBeforeMailSend(&$mail, &$mailer) {
		if($mail->mail_name != 'user_account' || empty($mail->data->username) || empty($mail->data->password))
			return;

		$app = JFactory::getApplication();
		$ctrl = JRequest::getCmd('ctrl');
		$joomlaUser = JFactory::getUser();
		if($app->isAdmin() || !$joomlaUser->guest || $ctrl == 'checkout')
			return;

		$options = array(
			'remember' => true,
			'return' => false
		);
		$credentials = array(
			'username' => $mail->data->username,
			'password' => $mail->data->password
		);
		$ret = $app->login($credentials, $options);
	}
	*/

	/**
	 *
	 */
	public function onAfterUserCreate(&$user) {
		$data = JRequest::getVar('main_user_data', null);
		if(empty($data) || empty($data['username']) || empty($data['password']))
			return;

		$app = JFactory::getApplication();
		$ctrl = JRequest::getCmd('ctrl');
		$joomlaUser = JFactory::getUser();
		if($app->isAdmin() || !$joomlaUser->guest || $ctrl == 'checkout')
			return;

		$options = array(
			'remember' => true,
			'return' => false
		);
		$credentials = array(
			'username' => $data['username'],
			'password' => $data['password']
		);
		$ret = $app->login($credentials, $options);
	}
}